Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

IBM DB2 'REPEAT()' Heap Buffer Overflow Vulnerability

Information

Severity

Severity

Medium

Family

Family

Databases

CVSSv2 Base

CVSSv2 Base

6.5

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:S/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

12 years ago

Modified

Modified

3 years ago

Summary

The host is installed with IBM DB2 and is prone to Buffer Overflow vulnerability.

Insight

Insight

The flaw is due to error in 'REPEAT()' function when processing SELECT statement that has a long column name generated.

Affected Software

Affected Software

IBM DB2 version 9.1 before FP9, 9.5 before FP6, 9.7 before FP2.

Solution

Solution

Upgrade to IBM DB2 version 9.1 FP9 or 9.5 FP6 or 9.7 FP2 or later.

Common Vulnerabilities and Exposures (CVE)